package cn.qg.qaplatform.enums;

public enum Namespace {

    DEV1("dev1", "dev1", "jdbc:mysql://172.17.5.16:32661/", "qa", "qatest"),
    KA1("ka1", "ka1", "jdbc:mysql://172.17.5.12:32071/", "qa", "qatest"),
    QA("qa", "qa","jdbc:mysql://172.17.5.16:32743/", "qa", "qatest"),
    QA2("qa2", "qa2", "jdbc:mysql://172.17.5.5:31905/", "qa", "qatest"),
    QA3("qa3", "qa3","jdbc:mysql://172.17.5.14:32659/", "qa", "qatest"),
    TEST1("test1", "test1","jdbc:mysql://172.17.5.14:31548/", "qa", "qatest"),
    TEST2("test2", "test2", "jdbc:mysql://172.17.5.33:30249/", "qa", "qatest"),
    TEST3("test3", "test3", "jdbc:mysql://172.17.5.23:31381/", "qa", "qatest"),
    TEST5("test5", "test5", "jdbc:mysql://172.17.5.33:32032/", "qa", "qatest"),
    XJFQ("xjfq", "xjfq", "jdbc:mysql://172.17.5.8:32188/", "qa", "qatest"),
    XYQB("xyqb", "xyqb","jdbc:mysql://172.17.5.5:32556/", "qa", "qatest"),
    FE("fe", "fe", "jdbc:mysql://172.17.5.9:31024/", "qa", "qatest"),
    VCC("vcc", "vcc", "jdbc:mysql://172.17.5.8:31110/", "qa", "qatest"),
    VCC2("vcc2", "vcc2", "jdbc:mysql://172.17.5.12:30977/", "qa", "qatest"),
    VCC3("vcc3", "vcc3", "jdbc:mysql://172.17.5.17:31393/", "qa", "qatest"),
    TOB("tob", "tob", "jdbc:mysql://172.17.6.15:32374/", "qa", "qatest");

    private String key;
    private String desc;
    private String url;
    private String username;
    private String password;

    Namespace(String key, String desc, String url, String username, String password) {
        this.key = key;
        this.desc = desc;
        this.url = url;
        this.username = username;
        this.password = password;
    }

    public String getKey() {
        return this.key;
    }

    public String getDesc() {
        return this.desc;
    }

    public String getUrl() {
        return this.url;
    }

    public String getUsername() {
        return this.username;
    }

    public String getPassword() {
        return this.password;
    }

}
